[Xenomai] OMAP L138

Lennart Sorensen lsorense at csclub.uwaterloo.ca
Mon Apr 14 03:10:32 CEST 2014


On Mon, Apr 14, 2014 at 10:28:01AM +1000, Peter Howard wrote:
> The ipipe repo is at 3.10, and I've just confirmed I have that patch.
> Sadly that's not the problem.
> 
> Thanks for the suggestion though.

Well I hadn't tried it yet myself.  All I know so far is 3.12 works
great for me, and 3.8 segfaulted randomly during sigchld handling.

If you could get a debug build of init and turn on core dumps, that
might give you something to analyze with gdb to see if you might be
hitting the same situation.

Xenomai also seems to be running great on arm on 3.12 for me using the
ipipe for 3.12 git branch, and the latest xenomai-2.6 git tree.

Maybe that would be worth giving a try.

-- 
Len Sorensen




More information about the Xenomai mailing list